Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableServer::IdUniquenessPolicy_out Class Reference

`#include <PortableServerC.h>`

Collaboration diagram for PortableServer::IdUniquenessPolicy_out:

[legend]
List of all members.

## Public Methods
| IdUniquenessPolicy_out (IdUniquenessPolicy_ptr &)
| IdUniquenessPolicy_out (IdUniquenessPolicy_var &)
| IdUniquenessPolicy_out (const IdUniquenessPolicy_out &)
IdUniquenessPolicy_out & | operator= (const IdUniquenessPolicy_out &)
IdUniquenessPolicy_out & | operator= (const IdUniquenessPolicy_var &)
IdUniquenessPolicy_out & | operator= (IdUniquenessPolicy_ptr)
| operator IdUniquenessPolicy_ptr & ()
IdUniquenessPolicy_ptr & | ptr (void)
IdUniquenessPolicy_ptr | operator-> (void)
## Private Attributes
IdUniquenessPolicy_ptr & | ptr_

## Constructor & Destructor Documentation

PortableServer::IdUniquenessPolicy_out::IdUniquenessPolicy_out | ( | IdUniquenessPolicy_ptr & |  | ) |

PortableServer::IdUniquenessPolicy_out::IdUniquenessPolicy_out | ( | IdUniquenessPolicy_var & |  | ) |

PortableServer::IdUniquenessPolicy_out::IdUniquenessPolicy_out | ( | const IdUniquenessPolicy_out & |  | ) |

## Member Function Documentation

PortableServer::IdUniquenessPolicy_out::operator IdUniquenessPolicy_ptr & | ( |  | ) |

IdUniquenessPolicy_ptr PortableServer::IdUniquenessPolicy_out::operator-> | ( | void |  | ) |

IdUniquenessPolicy_out& PortableServer::IdUniquenessPolicy_out::operator= | ( | IdUniquenessPolicy_ptr |  | ) |

IdUniquenessPolicy_out& PortableServer::IdUniquenessPolicy_out::operator= | ( | const IdUniquenessPolicy_var & |  | ) |

IdUniquenessPolicy_out& PortableServer::IdUniquenessPolicy_out::operator= | ( | const IdUniquenessPolicy_out & |  | ) |

IdUniquenessPolicy_ptr& PortableServer::IdUniquenessPolicy_out::ptr | ( | void |  | ) |

## Member Data Documentation

IdUniquenessPolicy_ptr& PortableServer::IdUniquenessPolicy_out::ptr_`[private]`

The documentation for this class was generated from the following file:

- PortableServerC.h